package com.tienda.dao.hibernate;

import org.hibernate.Session;

import com.tienda.dao.*;

public class HibernateDAOFactory extends DAOFactory {

  public UsuarioDAO getUsuarioDAO() {
    return new UsuarioHibernateDAO().setSession(getCurrentSession());
  }
  
  public PedidoDAO getPedidoDAO() {
	    return new PedidoHibernateDAO().setSession(getCurrentSession());
	  }

  public Session getCurrentSession() {
    return HibernateUtils.currentSession();
  }

}