package com.tienda.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;


import com.tienda.Usuario;
import com.tienda.struts.forms.LoginForm;
import com.tienda.struts.service.IAuthentication;
import com.tienda.struts.service.SecureAuthenticate;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class LoginAction extends Action {

	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) {
		
		Log log = LogFactory.getLog(LoginAction.class);
		
		LoginForm loginForm = (LoginForm) form;
		String nom = loginForm.getUsuario();
		String passwd = loginForm.getPassword();

		// Depuracion
		log.info(nom);
		log.info(passwd);
		
		IAuthentication auth = new SecureAuthenticate();
		Usuario us = auth.authenticate(nom,passwd);
		HttpSession session = request.getSession(false);
		if(session !=null)
		{
			session.invalidate();			
		}
		session = request.getSession(true);
		session.setAttribute("usuario",us);
		if(us==null)
			return mapping.findForward("mal");
		else
			return mapping.findForward("bien");
	}

}

