package com.tienda.struts.service;

import com.tienda.Usuario;
import com.tienda.dao.*;
import java.util.List;

public class SecureAuthenticate implements IAuthentication {

	public Usuario authenticate(String nombre, String password) 
	{
		Usuario u = new Usuario();
		u.setLogin(nombre);
		u.setPassword(password);
		UsuarioDAO udao = DAOFactory.getInstance().getUsuarioDAO();
		List<Usuario> lista = udao.findByExample(u,"role","id","nombre");
		Usuario udt = null;
		if(lista.size()==1)
		{
			udt = lista.get(1);
		}
		return udt;
	}
}
